---------------------------
pqchecker.so shared library 
1.0.0
---------------------------

To build and install pqchecker:

1/ Get the OpenLDAP source files
--------------------------------
Building and installing pqchecker require OpenLDAP server source files.
You can download them from: 
http://www.openldap.org/software/download 
for current stable release, or
http://www.openldap.org/software/download/OpenLDAP/openldap-stable
for old stable version.

Download source files of server version installed on your target system or, 
failing that, the nearest version. Then unpack the archive file in location 
of your choice,

  cd /tmp
  tar xzvf ~/download/openldap-2.4.30.tgz

You obtain a root directory for OpenLDAP server source files /tmp/openldap-2.4.30/

You can also install the source package of OpenLDAP server if exists. On the Debian 
system you can do it by executes: 

  apt-get source install openldap (without sudo)
  
Then sources code are installed in your home directory.  

2/ Prepare required header files
--------------------------------
The required header files portable.h and slap.h are not included, initially, 
in downloaded OpenLDAP's source files. It must be created by executing "configure"
script who's provided  in archive of source files.

  cd /tmp/openldap-2.4.30
  ./configure && make depend

3/ Build and install pqchecker
------------------------------  
Unpack pqchecker archive,

  cd /tmp
  tar xzvf ~/download/pqchecker-1.0.0.tar.gz
  cd pqchecker-1.0.0/

Then execute
 
  ./configure LDAPSRC=/tmp/openldap-2.4.30 JAVAHOME=/opt/java libdir=/usr/lib/ldap PARAMDIR=/etc/ldap/pqchecker

  LDAPSRC:   OpenLDAP server source files root directory.
  JAVAHOME:  Java JDK root location.
  libdir:    location of pqchecker.so installation, must be the module load directory setting 
             of OpenLDAP server /usr/lib/ldap is used for debian-compliants systems.
  PARAMDIR:  location of pqchecker data storage, this location must be writable by system user 
             who execute OpenLDAP server and, if pqMessenger used, system user who execute it.   

  Other parameters may be used, ./configure --help for complete list for those parameters.
  
Then build pqchecker and install it:

  make
  sudo make install  

